using System.Web.Mvc;
using Telerik.Web.Mvc;
using TelerikMVC3Test.Models;

namespace TelerikMVC3Test.Controllers
{
    //[Authorize]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [ActionName("Index-2")]
        //[Authorize( Roles = "Admin")]
        public ActionResult Index2()
        {
            return View();
        }

        public ActionResult Index3()
        {
            return View();
        }

        [GridAction]
        public ActionResult _SelectData()
        {
            return View(new GridModel(ViewModel.GetData()));
        }
    }
}
